DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# QuickSortIndices

Sort indices to a block of data

## SYNOPSIS

`#include "dip_sort.h"`

dip_Error dip_QuickSortIndices ( data, indices, size, dataType )

## FUNCTION

Sort a list of indices rather than the data itself using the quick sort algorithm.

## ARGUMENTS

Data type | Name | Description
`void *` | `data` | Data
`dip_sint32 *` | `indices` | Indices
`dip_int` | `size` | Size
`dip_DataType` | `dataType` | Data type. See DIPlib's data types

## SEE ALSO

General information about sorting

`QuickSort`, `QuickSortIndices16`, `Sort`, `ImageSort`, `SortIndices`, `SortIndices16`, `ImageSortIndices`

DIPlib on-line documentation | Function reference | Global function index